Bug 1006762 - Adding job with auto_cleared false, not working correct
Adding job with auto_cleared false, not working correct
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Eli Mesika
Tareq Alayan
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 05:05 EDT by Artyom
Modified: 2016-02-10 14:19 EST (History)
9 users (show)

See Also:
Fixed In Version: is17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19144 None None None Never

  None (edit)
Description Artyom 2013-09-11 05:05:37 EDT
Description of problem:
Adding job via rest:
<job>
<description>Test_JOB</description>
<auto_cleared>false</auto_cleared>
</job>
Create new job, but <auto_cleared>true</auto_cleared>

Also if you add job without auto_cleared flag, it also create job with <auto_cleared>true</auto_cleared>

<job>
<description>Test_JOB</description>
</job>

Version-Release number of selected component (if applicable):
is13

How reproducible:
Always

Steps to Reproduce:
1. See above
2.
3.

Actual results:
job with 
<auto_cleared>true</auto_cleared>


Expected results:
job with 
<auto_cleared>false</auto_cleared>

Additional info:
Line from engine log:
[org.ovirt.engine.core.bll.AddExternalJobCommand] (ajp-/127.0.0.1:8702-4) Running command: AddExternalJobCommand internal: false. Entities affected :  ID: aaa00000-0000-0000-0000-123456789aaa Type: System
Comment 1 Eli Mesika 2013-09-17 16:58:07 EDT
fixed in commit: 9cc75fe
Comment 2 Tareq Alayan 2013-10-09 08:46:07 EDT
verified

post:
<job>
<description>Test_JOB</description>
<auto_cleared>false</auto_cleared>
</job>

response:

<job href= "/api/jobs/b7810220-16c7-4a9f-8a19-ad18944e4eab" id="b7810220-16c7-4a9f-8a19-ad18944e4eab">
<actions>
<link href= "/api/jobs/b7810220-16c7-4a9f-8a19-ad18944e4eab/clear" rel="clear"/>
<link href= "/api/jobs/b7810220-16c7-4a9f-8a19-ad18944e4eab/end" rel="end"/>
</actions>
<description>Test_JOB</description>
<link href= "/api/jobs/b7810220-16c7-4a9f-8a19-ad18944e4eab/steps" rel="steps"/>
<status>
<state>STARTED</state>
</status>
<owner href= "/api/users/fdfc627c-d875-11e0-90f0-83df133b58cc" id="fdfc627c-d875-11e0-90f0-83df133b58cc"/>
<start_time>2013-10-09T15:44:32.796+03:00</start_time>
<last_updated>2013-10-09T15:44:32.796+03:00</last_updated>
<external>true</external>
<auto_cleared>false</auto_cleared>
</job>
Comment 3 Itamar Heim 2014-01-21 17:21:32 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:26:52 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.